* CloseSessions.PRG
* Copyright 2000, Tamar E. Granor, Ph.D.

* Table handling portion of generic shutdown code
* This version reverts all changes. 
#DEFINE DB_BUFOFF               1

LOCAL nCurrentSession, nActiveSessions, nSession, nCursors, nCursor
nCurrentSession = SET("DATASESSION")

nActiveSessions = ASESSIONS( aActiveSessions )
FOR nSession = 1 TO nActiveSessions
	* Switch to this session
	SET DATASESSION TO aActiveSessions[ nSession ]
	nCursors = AUSED(aCursors)
	FOR nCursor = 1 TO nCursors
		* Process each open cursor
		SELECT (aCursors[ nCursor, 1])
		IF CURSORGETPROP("Buffering") <> DB_BUFOFF
			* If it's buffered, revert all changes
			TABLEREVERT(.T.)
		ENDIF
	ENDFOR
ENDFOR

SET DATASESSION TO nCurrentSession
